<script>
    var requireJS = [];
    loadJS(requireJS, "js/common.js");
    loadJS(requireJS, '/js/switchery.min.js');
    loadCSS('/css/switchery.min.css');
    loadJS(requireJS, "js/views/countries_create.js");
    loadCSS('css/flags/flags.min.css');
</script>
<div class="row">
    <div class="col-md-12 col-sm-12 col-xs-12">
        <div class="x_panel">
            <div class="x_title">
                <strong class="h4" th:text="#{newCountries}">Países - Nuevo</strong>
                <div class="clearfix"></div>
            </div>
            <div class="x_content" disabled="${action == 'view'}">
                <form class="form-horizontal form-label-left" method="POST" action="admin/settings/countries/create" th:object="${country}">
                    <input type="hidden" th:value="*{code}" name="oldCode" id="oldCode">
                    <div class="form-group">
                        <label class="control-label col-md-3 col-sm-3 col-xs-12" for="first-name" th:text="#{code}">Código<span class="required">*</span>
                        </label>
                        <div class="col-md-6 col-sm-6 col-xs-12">
                            <input type="text" name="code" id="code" required="required" maxlength="100" class="form-control col-md-7 col-xs-12" th:disabled="${action == 'view' || action == 'edit'}"
                                   th:value="*{code}">
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="control-label col-md-3 col-sm-3 col-xs-12" for="last-name" th:text="#{name}">Nombre<span class="required">*</span>
                        </label>
                        <div class="col-md-6 col-sm-6 col-xs-12">
                            <input type="text" name="name" id="name" required="required" maxlength="100" class="form-control col-md-7 col-xs-12" th:disabled="${action == 'view'}"
                                   th:value="*{nameEs}">
                        </div>
                    </div>
                    <div class="form-group" th:if="${action != 'create'}">
                        <label class="control-label col-md-3 col-sm-3 col-xs-12" for="deleted" th:text="#{state}">Estado:<span class="required"></span>
                        </label>
                        <div class="col-md-6 col-sm-6 col-xs-12">
                            <input class="js-switch" style="display: none;" data-switchery="true" type="checkbox" id="status" name="status" th:checked="*{enabled}" th:disabled="${action == 'view'}">
                        </div>                        
                    </div>
                    <div class="ln_solid"></div>
                    <div class="form-group">
                        <div class="col-md-6 col-sm-6 col-xs-12">
                            <button class="btn btn-primary" type="button"
                                    onclick="window.location.replace('/admin#admin/settings/countries');window.location.reload();" th:text="#{btnCancel}">Cancelar</button> 
                            <button type="submit" class="btn btn-success action-button" th:if="${action == 'create'}" name="action" value="create" th:text="#{create}">Crear</button>
                            <button type="submit" class="btn btn-success action-button" th:if="${action == 'edit'}" name="action" value="edit" th:text="#{btnEdit}">Editar</button>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>